from __future__ import absolute_import, division, print_function, unicode_literals

from django.core.management.base import BaseCommand

from gargoyle.models import Switch


class Command(BaseCommand):
    help = 'Removes the specified gargoyle switch.'
    missing_args_message = 'No switch name specified. Please provide one.'

    def add_arguments(self, parser):
        parser.add_argument('switch_name', type=str)

    def handle(self, *args, **options):
        Switch.objects.filter(key=options['switch_name']).delete()
